Contents

# On Error GoTo ... Resume Statement

Gặp lỗi thì hiệu lực một hàm quản lý lỗi, hoặc tiếp tục lại thực hiện chương trình.

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

GoTo Labelname: gặp lỗi thì hiệu lực hàm quản lý lỗi mà bắt đầu ở dòng « Labelname ».

Resume Next: gặp lỗi thì tiếp tục lại thực hiện chương trình bằng cách chạy câu lệnh đi theo câu lệnh vừa gặp lỗi.

GoTo 0: tắt hàm quản lý lỗi trong thủ tục hiện thời.

Local: "On error" is global in scope, and remains active until canceled by another "On error" statement. "On Local error" is local to the routine which invokes it. Local error handling overrides any previous global setting. When the invoking routine exits, the local error handling is canceled automatically, and any previous global setting is restored.

The On Error GoTo statement is used to react to errors that occur in a macro.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "This is a line of text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed",  0,  "Error"
    End Sub

Chủ đề Liên quan

Error-Handling Functions

Open Statement